header #quit_wallet {
    background: #00000030;
    border-radius: 99px;
    padding: 11px 26px;
    box-sizing: border-box;
    display: none;
    align-items: center;
    border: none;
    font-family: 'Lato', sans-serif;
    font-size: 18px;
    font-weight: 900;
    line-height: 22px;
    text-align: left;
    color: var(--white-color);
    position: absolute;
    right: -166px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

header #quit_wallet img:first-child {
    width: 37px;
    height: 37px;
    margin-right: 35px;
}

header #quit_wallet img:last-child {
    width: 27px;
    height: 27px;
    margin-left: 48px;
}

/* toaster */
#toaster {
    width: 438px;
    position: relative;
    background-color: #292929;
    border-radius: 32px;
    position: fixed;
    top: 50px;
    right: 32px;
    box-sizing: border-box;
    z-index: 1000000;
    min-height: 132px;
    display: none;
}

.toastr-content {
    width: 100%;
    min-height: 132px;
    height: 100%;
    border-radius: 32px;
    overflow: hidden;
    position: relative;
    padding: 12px 69px 20px 125px;
    box-sizing: border-box;
}

#toaster .toastr-content h3 {
    font-family: 'Lato', sans-serif;
    font-size: 27px;
    font-weight: 900;
    line-height: 36px;
    text-align: left;
    color: var(--white-color);
    margin-top: 0;
    margin-bottom: 20px;
}

#toaster .toastr-content p {
    font-family: 'Lato', sans-serif;
    font-size: 18px;
    font-weight: 900;
    line-height: 22px;
    text-align: left;
    color: var(--white-color);
    margin: 0;
}

#toaster .toaster-status {
    position: absolute;
    width: 78px;
    height: 78px;
    top: -40px;
    left: 24px;
}

#toaster .toastr-content .close-toaster {
    position: absolute;
    width: 24px;
    height: 24px;
    top: 20px;
    right: 24px;
    cursor: pointer;
}
#disconnect_wallet{
    display: none;
}
@media (max-width: 768px) {
    #disconnect_wallet{
        display: flex;
    }
}
#toaster .toastr-content .toaster-bcgr {
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
}

#mobile-placeholder {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9); /* Semi-transparent background */
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#mobile-placeholder .placeholder-content .primary-btn {
    width: 90%;
    justify-content: center;
    margin: 0 auto;
}

#mobile-placeholder .placeholder-content a {
    text-decoration: none;
}
.staking-actions .primary-btn {

}

#mobile-placeholder h2 {
    width: 90%;
    color: var(--white-color);
    text-align: center;
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 24px;
    font-weight: 800;
    line-height: 30px;
    letter-spacing: 0.03em;
    margin: 0 auto;
    margin-bottom: 24px;
    padding: 32px;
    border-radius: 80px;
    border: 1px solid gray;
    box-sizing: border-box;
}

/* loader */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9); /* Semi-transparent background */
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.stick-container {
    position: relative;
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.stick {
    position: absolute;
    width: 4px;
    height: 20px;
    background-color: #ffffff;
    border-radius: 2px;
    opacity: 0.2;
    animation: rotate-and-light 1.2s infinite;
}

.stick:nth-child(1) {
    transform: rotate(0deg) translateY(-30px);
    animation-delay: 0s;
}
.stick:nth-child(2) {
    transform: rotate(45deg) translateY(-30px);
    animation-delay: 0.15s;
}
.stick:nth-child(3) {
    transform: rotate(90deg) translateY(-30px);
    animation-delay: 0.3s;
}
.stick:nth-child(4) {
    transform: rotate(135deg) translateY(-30px);
    animation-delay: 0.45s;
}
.stick:nth-child(5) {
    transform: rotate(180deg) translateY(-30px);
    animation-delay: 0.6s;
}
.stick:nth-child(6) {
    transform: rotate(225deg) translateY(-30px);
    animation-delay: 0.75s;
}
.stick:nth-child(7) {
    transform: rotate(270deg) translateY(-30px);
    animation-delay: 0.9s;
}
.stick:nth-child(8) {
    transform: rotate(315deg) translateY(-30px);
    animation-delay: 1.05s;
}

@keyframes rotate-and-light {
    0% {
        background-color: #ffffff;
        opacity: 0.2;
    }
    50% {
        background-color: #ff4500; /* Red light */
        opacity: 1;
    }
    100% {
        background-color: #ffffff;
        opacity: 0.2;
    }
}
/* loader */

.switcher {
    position: relative;
    display: flex;
    border-radius: 200px;
    background-color: #1a1a1a;
    padding: 4px;
    overflow: hidden;
    height: 84px;
    width: 100%;
    margin-bottom: 19px;
}

.slider {
    position: absolute;
    top: 4px;
    left: 4px;
    width: calc(50% - 8px);
    height: calc(100% - 8px);
    background-color: #00000030;
    border-radius: 200px;
    transition: left 0.3s ease;
    z-index: 0;
}

.option {
    position: relative;
    flex: 1;
    background: none;
    border: none;
    color: #686869;
    font-weight: bold;
    text-transform: uppercase;
    cursor: pointer;
    padding: 12px 0;
    border-radius: 200px;
    z-index: 1;
    transition: color 0.3s ease;
    font-family: 'Commissioner', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 25.82px;
    text-align: center;
}

.option.active {
    color: #ffffff;
    background-color: #171717;
    box-shadow: 
    0px 10px 6px 0px #5F5F5F40 inset,
    0px -10px 6px 0px #00000040 inset;
}

/* staking main bunner */
.stacking-main-bunner {
    overflow: initial;
    margin-top: 40px;
    margin-bottom: 83p;
}
.stacking-main-bunner-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.stake-now-info {
    width: 48%;
    margin-right: 32px;
}

.stake-now-info h1 {
    font-size: 147px;
    line-height: 122px;
    margin-top: 0;
    margin-bottom: 72px;
}

.stake-now-info h5 {
    font-family: 'Commissioner', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 25.82px;
    text-align: left;
    color: var(--white-color);
    margin-top: 0;
    margin-bottom: 32px;
}

.stake-now-info h5 span {
    background: var(--gray-road-texture);
    background-size: contain;
    -webkit-background-clip: text;
    color: transparent;
}

.stake-now-info h2 {
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 147px;
    font-weight: 800;
    line-height: 122px;
    letter-spacing: 0.03em;
    text-align: left;
    color: var(--primary-orange-color);
    margin-bottom: 47px;
    margin-top: 0;
}

.stake-now-info h2 span {
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 63px;
    font-weight: 800;
    line-height: 57.96px;
    letter-spacing: 0.03em;
    text-align: left;
    color: #1E1E1E;
    background: var(--gray-road-texture);
    background-size: contain;
    -webkit-background-clip: text;
    color: transparent;
}

.staking-enter-amount {
    width: 48%;
    position: relative;
}

.staking-enter-amount .staking-enter-amount-container {
    position: relative;
    border-radius: 80px;
    box-shadow: 0px 0px 215px 12px #F3680C66;
    border: 1px solid;
    backdrop-filter: blur(12px);
    border: 1px solid #FFFFFF33;
    background: #121212;
    padding: 74px 41px 41px;
    box-sizing: border-box;
    margin-top: -30px;
}

.staking-enter-amount .staking-enter-amount-container .staking-top-coins {
    position: absolute;
    right: -33px;
    top: -114px;
    width: 241px;
    height: 214px;
}

.staking-enter-amount .staking-enter-amount-container h3 {
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 63px;
    font-weight: 800;
    line-height: 57.96px;
    letter-spacing: 0.03em;
    text-align: center;
    color: var(--white-color);
    width: 100%;
    margin-top: 0;
    margin-bottom: 44px;
}

.staking-enter-amount .staking-enter-amount-container .staking-input-container {
    position: relative;
    width: 100%;
    margin-bottom: 16px;
}

.staking-enter-amount .staking-enter-amount-container .staking-input-container button {
    border-radius: 92px;
    width: 105px;
    height: 115px;
    box-shadow: 0px 10px 6px 0px #5F5F5F40 inset;
    box-shadow: 0px -10px 6px 0px #00000040 inset;

    -webkit-box-shadow: 0px 10px 6px 0px #5F5F5F40 inset;
    -webkit-box-shadow: 0px -10px 6px 0px #00000040 inset;

    -moz-box-shadow: 0px 10px 6px 0px #5F5F5F40 inset;
    -moz-box-shadow: 0px -10px 6px 0px #00000040 inset;
    background: #171717;
    font-family: 'Commissioner', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 25.82px;
    text-align: center;
    color: #686869;
    position: absolute;
    right: 18px;
    top: 18px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.staking-enter-amount .staking-enter-amount-container .staking-input-container input {
    border-radius: 200px;
    box-sizing: border-box;
    border: 1px solid #FFFFFF33;
    padding: 46px 140px 46px 40px;
    color: var(--white-color);
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 63px;
    font-weight: 800;
    line-height: 57.96px;
    letter-spacing: 0.03em;
    text-align: left;
    min-width: 100%;
    max-width: 100%;

    background: #00000030;
    box-sizing: border-box;
    z-index: -1;
}

.staking-enter-amount .staking-enter-amount-container p {
    font-family: 'Commissioner', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 25.82px;
    text-align: right;
    color: gray;
    margin-bottom: 39px;
    background: var(--gray-road-texture);
    background-size: contain;
    -webkit-background-clip: text;
    color: transparent;
}

.staking-enter-amount .staking-enter-amount-container p span {
    color: var(--primary-orange-color);
}

.staking-actions button {
    width: 100%;
    justify-content: center;
    height: 84px;
}

.staking-actions #switch_to_desctop {
    display: none;
}

header .socials {
    position: relative;
}


@media (max-width: 1300px) {
    .stake-now-info h2 {
        display: grid;
    }
}

@media (max-width: 1200px) {
    .stacking-main-bunner-content {
        display: block;
    }

    .stake-now-info {
        width: 100%;
        margin-right: 0;
    }

    .staking-enter-amount {
        width: 100%;
    }

    .stake-now-info h2 {
        display: block;
    }

    header .socials {
        margin-left: -27%;
    }

    .staking-enter-amount .staking-enter-amount-container {
        margin-top: 0;
    }
}

@media (max-width: 900px) {
    header .socials ul{
        display: none;
    }

    header .socials {
        margin-left: 0;
    }

    header #quit_wallet {
        right: -60px;
    }
}

@media (max-width: 768px) {

    header .socials {
        display: block;
    }
    footer .footer-header .socials a {
        background-color: rgba(2, 2, 2, 0);
    }

    header #quit_wallet {
        padding-left: 0;
        background: none;
    }

    header #quit_wallet img:first-child {
        width: 27px;
        height: 27px;
        margin-right: 0;
        padding: 11px 11px;
    }
    .stake-now-info{
        padding: 0 23px;
        box-sizing: border-box;

    }
    .stacking-main-bunner {
        margin-top: 0px;
    }
    .stake-now-info h1 {
        font-size: 56px;
        line-height: 50px;
        margin-bottom: 50px;
    }

    .stake-now-info h5 {
        font-size: 18px;
        line-height: 24px;
    }

    .stake-now-info h2 {
        font-size: 56px;
        line-height: 50px;
    }

    .stake-now-info h2 span {
        font-size: 24px;
        line-height: 30px;
    }

    .staking-enter-amount .staking-enter-amount-container {
        padding: 46px 34px 32px;
    }

    .staking-enter-amount .staking-enter-amount-container h3 {
        font-size: 28px;
        line-height: 30px;
        margin-bottom: 16px;
    }

    .staking-enter-amount .staking-enter-amount-container p {
        font-size: 12px;
        line-height: 12px;
        margin-bottom: 30px;
    }

    .option {
        font-size: 16px;
        line-height: 22px;
    }

    .staking-enter-amount .staking-enter-amount-container .staking-input-container button {
        font-size: 14px;
        line-height: 15px;
        width: 57px;
        height: 57px;
        top: 16px;
    }

    .staking-enter-amount .staking-enter-amount-container .staking-input-container input {
        font-size: 24px;
        line-height: 30px;
        padding: 28px 87px 28px 28px;
    }

    .switcher {
        height: 72px;
        padding: 8px;
        box-sizing: border-box;
    }

    .staking-enter-amount .staking-enter-amount-container .staking-top-coins {
        right: 0;
    }

    .staking-actions #switch_to_desctop {
        display: flex;
        text-decoration: none;
    }


}

@media (max-width: 600px) {
    .staking-enter-amount .staking-enter-amount-container .staking-top-coins {
        width: 200px;
        right: 23px;
        top: -124px;

    }
}

@media (max-width: 768px) {
    header #quit_wallet {
        right: -70px;
        padding: 11px 11px;
        justify-content: center;
    }
}



/* furms container */

.furms-container {
    margin-bottom: 50px;
}

.furms-container .furms-content {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.furms-container .furms-content  .furm-days {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translateX(-50%);
    width: 84px;
    height: 84px;
    border-radius: 50%;
    border: 1px solid rgba(255, 255, 255, 0.4);
    font-family: 'Lato', sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 22px;
    color: var(--white-color);
    display: grid;
    align-items: center;
    justify-content: center;
    background-color: #121212;
}

.furms-container .furms-content  .furm-days .days {
    text-align: center;
    padding-top: 18px;
    box-sizing: border-box;
}

.furms-container .furms-content  .furm-days img {
    width: 37px;
    height: 37px;
}

.furms-container .furms-content .furm-amount-item {
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 80px;
    background-color: #121212;
    text-align: center;
    padding: 55px;
    box-sizing: border-box;
    width: 49%;
}

.furms-container .furms-content .furm-amount-item h2 {
    color: var(--white-color);
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 100px;
    font-weight: 800;
    line-height: 92px;
    letter-spacing: 0.03em;
    text-align: center;
    margin-top: 0;
    margin-bottom: 40px;
}

.furms-container .furms-content .furm-amount-item .am h4 {
    font-family: 'Lato', sans-serif;
    font-size: 27px;
    font-weight: 900;
    line-height: 36px;
    text-align: center;
    color: var(--white-color);
    margin-top: 0;
    margin-bottom: -18px;
}

.furms-container .furms-content .furm-amount-item .am span {
    color: var(--primary-orange-color);
    font-family: 'Commissioner', sans-serif;
    font-size: 36px;
    font-weight: 800;
    line-height: 44.03px;
    letter-spacing: 0.03em;
    text-align: center;
}

@media (max-width: 768px) {
    .furms-container .furms-content {
        display: block;
    }

    .furms-container .furms-content .furm-amount-item {
        width: 100%;
        margin-bottom: 20px;
    }

    .furms-container .furms-content .furm-days {
        top: 41%;
        font-size: 14px;
        line-height: 22px;
    }

    .furms-container .furms-content .furm-days img {
        transform: rotate(90deg);
        width: 31px;
        height: 31px;
    }

    .furms-container .furms-content .furm-amount-item h2 {
        font-size: 56px;
        line-height: 50px;
        margin-bottom: 12px;
    }

    .furms-container .furms-content .furm-amount-item .am h4 {
        font-size: 20px;
        line-height: 36px;
    }

    .furms-container .furms-content .furm-amount-item .am span {
        font-size: 28px;
        line-height: 34px;
    }

    .furms-container .furms-content .furm-amount-item {
        border-radius: 50px;
    }

    .furms-container {
        margin-bottom: -24px;
    }

}

/* your staking container */

.your-stakings-container {
    margin-bottom: 106px;
}

.your-stakings-content {
    border-radius: 80px;
    backdrop-filter: blur(12px);
    border: 1px solid #FFFFFF33;
    background: #121212;
    padding: 58px 38px 31px 38px;
    box-sizing: border-box;
}

.your-stakings-content h2 {
    width: 100%;
    color: var(--white-color);
    text-align: center;
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 63px;
    font-weight: 800;
    line-height: 57.96px;
    letter-spacing: 0.03em;
    margin-bottom: 16px;
    margin-top: 0;
}

.your-stakings-content h2 img {
    margin-bottom: -7px;
    margin-left: 10px;
}

.your-stakings-content .your-stakings-loadbars {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 78px;
}

.button-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.your-stakings-content .your-stakings-loadbars .transaction .primary-btn {
    height: 58px;
    width: 60%;
    justify-content: center;
    margin: 0 auto;
    margin-top: -25px;
    font-size: 24px;
}

.your-stakings-content .your-stakings-loadbars .transaction .primary-btn .arrow {
    min-height: 43px;
    min-width: 43px;
}

.your-stakings-content .your-stakings-loadbars .transaction .primary-btn .arrow img {
    height: 17px;
    width: 17px;
}

.your-stakings-content .your-stakings-loadbars .transaction .countdown {
    color: gray;
    font-family: 'Lato', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 24px;
    text-align: center;
    margin-bottom: 35px;
}

.your-stakings-content .your-stakings-loadbars .transaction .countdown img {
    width: 24px;
    height: 24px;
    margin: 0 2px -3px 2px;
}

@media (max-width: 1200px) {
    .your-stakings-content .your-stakings-loadbars {
        display: block;
    }

    .your-stakings-content .your-stakings-loadbars .transaction {
        margin-bottom: 40px;
    }
}

@media (max-width: 768px) {
    .your-stakings-content {
        padding: 36px 22px 4px 22px;
        border-radius: 50px;
    }
    .your-stakings-content h2 {
        font-size: 39px;
        line-height: 30px;
        margin-bottom: 22px;

    }
    .button-wrapper {
        flex-direction: column;  /* Stack buttons vertically */
        align-items: center;     /* Optional: center buttons horizontally */
        gap:50px
    }

    .your-stakings-content .your-stakings-loadbars .transaction .countdown {
        font-size: 12px;
        line-height: 14px;
    }

    .your-stakings-content .your-stakings-loadbars .transaction .countdown img {
        width: 18px;
        height: 18px;
    }

    .your-stakings-content h2 img {
        margin-top: -7px;
        margin-left: 10px;
        width: 37px;
    }
}

@media (max-width: 500px) {
    .your-stakings-content .your-stakings-loadbars .transaction .primary-btn {
        font-size: 18px;
    }
}


/* ///////////////// */

.transaction {
    margin-bottom: 20px;
}

.countdown {
    font-size: 1.2rem;
    margin-bottom: 10px;
}

.progress-bar-container {
    width: 100%;
    height: 2px;
    background: #191919;
    border-radius: 5px;
    position: relative;
    margin-bottom: 10px;
}

.progress-bar {
    height: 100%;
    width: 0; /* add zero  */
    background: linear-gradient(90deg, rgba(255, 165, 0, 1), rgba(255, 215, 0, 0.7));
    box-shadow: 0 0 10px rgba(255, 165, 0, 1), 0 0 20px rgba(255, 165, 0, 0.7);
    transition: width 0.1s linear;
}

.claim-button {
    padding: 8px 16px;
    font-size: 1rem;
    color: #ffffff;
    background: orange;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(255, 165, 0, 0.7);
}

.claim-button:hover {
    background: darkorange;
}

/* staking process */
.staking-process-container {
    margin-bottom: 100px;
}
.staking-process-content h2 {
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 147px;
    font-weight: 800;
    line-height: 122px;
    letter-spacing: 0.03em;
    text-align: left;
    color: var(--white-color);
    margin-bottom: 57px;
    margin-top: 0;
}

.staking-process-bunners {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 46px;
}

.staking-process-bunners .main-bunner {
    font-family: 'ExtraBoldThunder', sans-serif;
    letter-spacing: 3px;
    font-weight: 800;
    font-size: clamp(62px, 8vw, 147px);
    color: var(--white-color);
    line-height: 122px;
    margin: 0;
    text-align: right;
    border-radius: 200px;
    padding: 56px 47px 32px;
    max-height: 233px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    margin-right: 16px;
    background: var(--orange-road-texture);
    background-size: contain;
}

.staking-process-bunners .secondary-bunner {
    width: 80%;
    padding: 33px 73px;
    background: var(--primary-dark-color);
    border: 1px solid;
    color: var(--white-color);
    border-radius: 200px;
    box-sizing: border-box;
    backdrop-filter: blur(14px);
    border: 1px solid gray;
}

.staking-process-bunners .secondary-bunner p {
    font-family: 'Lato', sans-serif;
    font-size: 27px;
    font-weight: 900;
    line-height: 36px;
    color: var(--white-color);
    margin: 0;
}

.staking-process-bunners .secondary-bunner p span {
    color: var(--primary-orange-color);
}

.staking-process-items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
    row-gap: 46px;
}

.staking-process-items .staking-process-item {
    border: 1px solid white;
    padding: 54px 54px 35px 54px;
    box-sizing: border-box;
    border-radius: 80px;
    background: #00000030;
    position: relative;
    overflow: hidden;
}

.staking-process-items .staking-process-item img {
    position: absolute;
    max-width: 100%;
    object-fit: cover;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
    top: 0;
}

.staking-process-items .staking-process-item h3 {
    font-family: Commissioner;
    font-size: 36px;
    font-weight: 800;
    line-height: 44.03px;
    letter-spacing: 0.03em;
    text-align: left;
    color: var(--primary-orange-color);
    margin-top: 0;
    margin-bottom: 24px;
}

.staking-process-items .staking-process-item p {
    font-family: 'Lato', sans-serif;
    font-size: 27px;
    font-weight: 900;
    line-height: 36px;
    text-align: left;
    color: var(--white-color);
    margin-bottom: 60px;
    margin-top: 0;
}

.staking-process-items .staking-process-item .staking-process-item-label {
    font-family: 'Lato', sans-serif;
    font-size: 18px;
    font-weight: 900;
    line-height: 22px;
    color: #686869;
    display: flex;
    align-items: baseline;
    justify-content: end;
}

.staking-process-items .staking-process-item .staking-process-item-label span {
    font-size: 53px;
    line-height: 63px;
    color: var(--white-color);
    margin: 0 12px;
}

@media (max-width: 1200px) {
    .staking-process-items {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 1100px) {
    .staking-process-bunners {
        display: block;
    }

    .staking-process-bunners .main-bunner {
        margin-bottom: 24px;
        text-align: center;
        margin-right: 0;
    }

    .staking-process-bunners .secondary-bunner {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .staking-process-content h2 {
        font-size: 56px;
        line-height: 50px;
        margin-bottom: 16px;
        text-align: center;
    }
    .staking-process-bunners .main-bunner {
        padding: 11px 33px 0px;
    }

    .staking-process-bunners .main-bunner p {
        font-size: 62px;
        line-height: 55px;
    }

    .staking-process-bunners .secondary-bunner {
        border-radius: 64px;
        padding: 32px 32px 24px 32px;
    }

    .staking-process-bunners .secondary-bunner p {
        font-size: 20px;
        line-height: 24px;
    }

    .staking-process-items .staking-process-item h3 {
        font-size: 24px;
        line-height: 24px;
    }

    .staking-process-items .staking-process-item p {
        font-size: 20px;
        line-height: 20px;
    }

    .staking-process-items {
        grid-template-columns: repeat(1, 1fr);
        row-gap: 20px;
    }

    .staking-process-items .staking-process-item {
        min-height: 335px;
        border-radius: 64px;
        padding: 32px 32px 24px 32px;
    }

    .staking-process-bunners {
        margin-bottom: 20px;
    }

    .staking-process-items .staking-process-item .staking-process-item-label {
        font-size: 16px;
        line-height: 22px;
    }

    .staking-process-items .staking-process-item .staking-process-item-label span {
        font-size: 42px;
        line-height: 50px;
    }

    .your-stakings-container {
        margin-bottom: 50px;
    }
}


/* join staking container */
.join-our-staking-container {
    position: relative;
    overflow: visible;
}

.join-our-staking-container .marquee-container {
    top: -200px;
}


.join-our-staking-container h2 {
    font-family: 'ExtraBoldThunder', sans-serif;
    font-size: 100px;
    font-weight: 800;
    line-height: 92px;
    letter-spacing: 0.03em;
    text-align: center;
    color: var(--white-color);
}

.join-our-staking-container h2 span {
    background: var(--gray-road-texture);
    background-size: contain;
    -webkit-background-clip: text;
    color: transparent;
}

.transaction-link {
    display: block;
    margin-top: 10px;
    color: #007bff;
    text-decoration: none;
    font-weight: bold;
}

.transaction-link:hover {
    text-decoration: underline;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Прибираємо спінери для Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

@media (max-width: 768px) {
    .join-our-staking-container h2 {
        font-size: 32px;
        line-height: 29px;
    }

    .join-our-staking-container .marquee-container {
        top: -68px;
    }

    .join-our-staking-container .marquee-container img {
        width: 200%;
    }

    .staking-process-container {
        margin-bottom: 7px;
    }
}
.stake-range {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    font-size: 14px;
    color: #555;
}

.min-value, .max-value {
    font-family: 'Commissioner', sans-serif;
    font-size: 24px;
    font-weight: 900;
    line-height: 25.82px;
    text-align: right;
    background: var(--gray-road-texture);
    background-size: contain;
    -webkit-background-clip: text;
    color: transparent;
}

@media (max-width: 450px) {
    footer .primary-btn {
        width: 100%;
        justify-content: center;
    }
}
